Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence.metamodel
Enum Attribute.PersistentAttributeType

    java.lang.Object
      java.lang.Enum<Attribute.PersistentAttributeType>
          javax.persistence.metamodel.Attribute.PersistentAttributeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Attribute.PersistentAttributeType>

Enclosing interface:
  Attribute<X,Y>

    public static enum Attribute.PersistentAttributeType

extends java.lang.Enum<Attribute.PersistentAttributeType>

Enum Constant Summary
`BASIC` Basic attribute
`ELEMENT_COLLECTION` Element collection
`EMBEDDED` Embeddable class attribute
`MANY_TO_MANY` Many-to-many association
`MANY_TO_ONE` Many-to-one association
`ONE_TO_MANY` One-to-many association
`ONE_TO_ONE` One-to-one association

Method Summary
`static Attribute.PersistentAttributeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Attribute.PersistentAttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MANY_TO_ONE

    public static final Attribute.PersistentAttributeType MANY_TO_ONE

  Many-to-one association

### ONE_TO_ONE

    public static final Attribute.PersistentAttributeType ONE_TO_ONE

  One-to-one association

### BASIC

    public static final Attribute.PersistentAttributeType BASIC

  Basic attribute

### EMBEDDED

    public static final Attribute.PersistentAttributeType EMBEDDED

  Embeddable class attribute

### MANY_TO_MANY

    public static final Attribute.PersistentAttributeType MANY_TO_MANY

  Many-to-many association

### ONE_TO_MANY

    public static final Attribute.PersistentAttributeType ONE_TO_MANY

  One-to-many association

### ELEMENT_COLLECTION

    public static final Attribute.PersistentAttributeType ELEMENT_COLLECTION

  Element collection

Method Detail

### values

    public static Attribute.PersistentAttributeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Attribute.PersistentAttributeType c : Attribute.PersistentAttributeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Attribute.PersistentAttributeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD